local flagsLeftAnnounced = 15;

RunWithDelay(0.5, function()
{
    BuildSound("round_start").Global().Play();
});

RunWithDelay(4.8, function()
{
    BuildSound("fight").Global().Play();
});

OnGameEvent("player_death_next", 0, function(victim, params)
{
    local attacker = GetPlayerFromParams(params, "attacker");
    if (!attacker)
        return;

    local fragsLeft = fragLimit - GetScore(attacker);
    if (fragsLeft >= flagsLeftAnnounced)
        return;
    flagsLeftAnnounced = fragsLeft;

    if (fragsLeft <= 5 || fragsLeft == 10)
        BuildSound(format("frags_left_%d", fragsLeft)).Global().Play();
});

soundBank.round_start <- [
    "mvm/announcer_benja/announcer_roundstart01.mp3"
    "mvm/announcer_benja/announcer_roundstart02.mp3"
    "mvm/announcer_benja/announcer_roundstart03.mp3"
    "mvm/announcer_benja/announcer_roundstart04.mp3"
    "mvm/announcer_benja/announcer_roundstart05.mp3"
    "mvm/announcer_benja/announcer_roundstart06.mp3"
    "mvm/announcer_benja/announcer_roundstart07.mp3"
    "mvm/announcer_benja/announcer_roundstart08.mp3"
    "mvm/announcer_benja/announcer_roundstart09.mp3"
    "mvm/announcer_benja/announcer_roundstart_preparetofight01.mp3"
    "mvm/announcer_benja/announcer_roundstart_preparetofight02.mp3"
    "mvm/announcer_benja/announcer_roundstart_preparetofight03.mp3"
]
soundBank.fight <- [
    "mvm/announcer_benja/announcer_roundstart_fight01.mp3"
    "mvm/announcer_benja/announcer_roundstart_fight02.mp3"
    "mvm/announcer_benja/announcer_roundstart_fight03.mp3"
    "mvm/announcer_benja/announcer_roundstart_go01.mp3"
    "mvm/announcer_benja/announcer_roundstart_go02.mp3"
    "mvm/announcer_benja/announcer_roundstart_go03.mp3"
    "mvm/announcer_benja/announcer_roundstart_go04.mp3"
    "mvm/announcer_benja/announcer_roundstart_go05.mp3"
]

soundBank.frags_left_0 <- [
    "player/taunt_bell.wav"
]

soundBank.frags_left_1 <- [
    "mvm/announcer_benja/announcer_fragsleft_01.mp3"
    "mvm/announcer_benja/announcer_fragsleft_01_alt.mp3"
    "mvm/announcer_benja/announcer_fragsleft_01_alt2.mp3"
]

soundBank.frags_left_2 <- [
    "mvm/announcer_benja/announcer_fragsleft_02.mp3"
    "mvm/announcer_benja/announcer_fragsleft_02_alt.mp3"
    "mvm/announcer_benja/announcer_fragsleft_02_alt2.mp3"
]

soundBank.frags_left_3 <- [
    "mvm/announcer_benja/announcer_fragsleft_03.mp3"
    "mvm/announcer_benja/announcer_fragsleft_03_alt.mp3"
]

soundBank.frags_left_4 <- [
    "mvm/announcer_benja/announcer_fragsleft_04.mp3"
    "mvm/announcer_benja/announcer_fragsleft_04_alt.mp3"
    "mvm/announcer_benja/announcer_fragsleft_04_alt2.mp3"
]

soundBank.frags_left_5 <- [
    "mvm/announcer_benja/announcer_fragsleft_05.mp3"
    "mvm/announcer_benja/announcer_fragsleft_05_alt.mp3"
    "mvm/announcer_benja/announcer_fragsleft_05_alt2.mp3"
]

soundBank.frags_left_10 <- [
    "mvm/announcer_benja/announcer_fragsleft_10.mp3"
    "mvm/announcer_benja/announcer_fragsleft_10_alt.mp3"
    "mvm/announcer_benja/announcer_fragsleft_10_alt2.mp3"
]