local preKillLeadStatus = 0;

OnGameEvent("player_death", 0, function()
{
    if (GetScore(self) < 2)
        return;
    local leaders = GetLeaders();
    if (leaders.find(self.entindex()) != null)
        preKillLeadStatus = leaders.len() == 1 ? 2 : 1;
    else
        preKillLeadStatus = 0;
});

OnGameEvent("player_death_next", 40, function()
{
    if (GetScore(self) < 2)
        return;
    local leaders = GetLeaders();
    local postKillLeadStatus = 0;
    if (leaders.find(self.entindex()) != null)
        postKillLeadStatus = leaders.len() == 1 ? 2 : 1;
    if (preKillLeadStatus != postKillLeadStatus)
    {
        BuildSound(postKillLeadStatus == 2 ? "lead_taken" : postKillLeadStatus == 1 ? "lead_tied" : "lead_lost")
            .Global()
            .SinglePlayer()
            .Play();
    }
});

soundBank.lead_taken <- [
    "mvm/announcer_benja/announcer_leadtaken01.mp3"
    "mvm/announcer_benja/announcer_leadtaken02.mp3"
    "mvm/announcer_benja/announcer_leadtaken03.mp3"
    "mvm/announcer_benja/announcer_leadtaken04.mp3"
    "mvm/announcer_benja/announcer_leadtaken05.mp3"
]

soundBank.lead_tied <- [
    "mvm/announcer_benja/announcer_leadtied01.mp3"
    "mvm/announcer_benja/announcer_leadtied02.mp3"
    "mvm/announcer_benja/announcer_leadtied03.mp3"
]

soundBank.lead_lost <- [
    "mvm/announcer_benja/announcer_leadlost01.mp3"
    "mvm/announcer_benja/announcer_leadlost02.mp3"
    "mvm/announcer_benja/announcer_leadlost03.mp3"
    "mvm/announcer_benja/announcer_leadlost04.mp3"
    "mvm/announcer_benja/announcer_leadlost05.mp3"
    "mvm/announcer_benja/announcer_leadlost06.mp3"
    "mvm/announcer_benja/announcer_leadlost07.mp3"
    "mvm/announcer_benja/announcer_leadlost08.mp3"
    "mvm/announcer_benja/announcer_leadlost09.mp3"
]