::CreateGameText <- function(params)
{
    local game_text = SpawnEntityFromTable("game_text", params);
    game_text.ValidateScriptScope();
    local scope = game_text.GetScriptScope();
    IncludeScript("ffa/gamemode/game_text.nut", game_text.GetScriptScope());
    return scope;
}

::game_text_dud <- SpawnEntityFromTable("game_text",
{
    channel = 5,
    holdtime = 99999999,
    message = " ",
    spawnflags = 1,
    x = -2,
    y = -2
});

::game_text_left <- CreateGameText(
{
    color = "255 255 255",
    color2 = "0 0 0",
    channel = 0,
    effect = 0,
    fadein = 0,
    fadeout = 0,
    fxtime = 0,
    holdtime = 250,
    message = "",
    spawnflags = 0,
    x = -0.535,
    y = 0.067
});

::game_text_right <- CreateGameText(
{
    color = "255 255 255",
    color2 = "0 0 0",
    channel = 1,
    effect = 0,
    fadein = 0,
    fadeout = 0,
    fxtime = 0,
    holdtime = 250,
    message = "",
    spawnflags = 0,
    x = 0.535,
    y = 0.067
});

::game_text_scores <- CreateGameText(
{
    color = "255 255 255",
    color2 = "0 0 0",
    channel = 2,
    effect = 0,
    fadein = 0,
    fadeout = 0,
    fxtime = 0,
    holdtime = 250,
    message = "",
    spawnflags = 0,
    x = -1,
    y = 0.062
});

::game_text_hop_bar <- CreateGameText(
{
    //color = "236 227 203",
    color = "242 236 218"
    color2 = "0 0 0",
    channel = 3,
    effect = 0,
    fadein = 0,
    fadeout = 0,
    fxtime = 0,
    holdtime = 250,
    message = "",
    spawnflags = 0,
    x = 0.734,
    y = 0.937
});

::game_text_victory_board <- CreateGameText(
{
    //color = "236 227 203",
    color = "242 236 218"
    color2 = "0 0 0",
    channel = 4,
    effect = 0,
    fadein = 0,
    fadeout = 0,
    fxtime = 0,
    holdtime = 250,
    message = "asdasdasda",
    spawnflags = 0,
    x = -1,
    y = -1
});

AddTimer(0.1, 999, function()
{
    //for (local i = 0; i < 12; i++)
    //    EntFireByHandle(game_text_dud, "Display", "", -1, null, null);
    game_text_scores.DisplayAll();
    game_text_left.DisplayAll();
    game_text_right.DisplayAll();
    game_text_hop_bar.DisplayAll();
    //game_text_victory_board.DisplayAll();
})