::GUNGAME_WEAPON_POOLS <- [
        ["rocket_launcher", "original", "cow_mangler"],
        ["scattergun"],
        ["liberty_launcher", "black_box"],
        //["tomislav"],
        ["grenade_launcher"],
        ["back_scatter", "baby_faces_blaster"],
        ["sticky_launcher"],
        ["soda_popper"],
        ["quickie_launcher"],
        ["shotgun", "panic_attack"],
        ["beggars_bazooka"],
        ["force_a_nature"],
        ["iron_bomber"],
        ["airstrike"],
        ["family_business"],
        ["loose_cannon"],
        ["sniper_rifle", "awper_hand"],
        ["shortstop"],
        ["loch_n_load", "direct_hit"],
        ["smg"],
        ["revolver", "enforcer"],
        ["ambassador"],
        ["frontier_justice", "rescue_ranger"],
        ["syringe_gun", "blutsauger"],
        ["pistol"],
        ["golden_crowbar"],
        ["victory"],
        //["eyelander_and_targe"],
]
::fragLimit <- GUNGAME_WEAPON_POOLS.len() - 1;

::GUNGAME_ORDER <- [];
foreach(set in GUNGAME_WEAPON_POOLS)
    GUNGAME_ORDER.push(set[RandomInt(0, set.len() - 1)]);

::GetCurrentGunGameWeapon <- function(player)
{
    local index = clampCeiling(
        gunGameProgress[player.entindex()],
        GUNGAME_ORDER.len() - 1);
    return GetWeaponTypeByName(GUNGAME_ORDER[index]);
}

::GetNextGunGameWeapon <- function(player)
{
    local index = clampCeiling(
        gunGameProgress[player.entindex()] + 1,
        GUNGAME_ORDER.len() - 1);
    return GetWeaponTypeByName(GUNGAME_ORDER[index]);
}
